<?php
/*
+===========================================+
|      ArabPortal V2.2.x Copyright © 2009   |
|   -------------------------------------   |
|                     BY                    |
|              Arab Portal Team             |
|   -------------------------------------   |
|      Web: http://www.ArabPortal.Info      |
|   -------------------------------------   |
|  Last Updated: 25/08/2008 Time: 03:35 AM  |
+===========================================+
*/

require_once('global.php');
unset($ads_head,$ads_foot);
$apt->GroupAllow('view_site');

if ($apt->get['action']=="printnews")
{
    $id = $apt->setid('id');

    $row = $apt->dbfetch("SELECT * FROM rafia_news
                                     WHERE allow='yes'
                                     AND id='$id'");
                                     @extract($row);

     $prarr =  array( 'الكاتب'      => $apt->format_data_out($name)." || ",
                      'بتاريخ'      => $apt->Hijri($date_time)."<br>",
			          'عنوان النص'  => $apt->format_data_out($title)."<br>",
		              ''            => $apt->rafia_code_print($news_head). $apt->rafia_code_print($post)
      		        );

     $url = $apt->getsettings('siteURL')."/news.php?action=view&id=".$id;

     $pr = new printer($url,$prarr);

     print $pr->output_printer();
}
else if($apt->get['action']=="printforum")
{
    $id = $apt->setid('id');

    if ( !$apt->full ($id) )
    {
        $apt->errmsg (LANG_ERROR_URL);
    }
    
    $row  = $apt->dbfetch("SELECT * FROM rafia_forum
                                      WHERE allow='yes'
                                      AND id='$id'");
                                      @extract($row);
    $post =  $apt->rafia_code_print($post);

     $prarr =  array( 'الكاتب'      => $apt->format_data_out($name)." || ",
                      'بتاريخ'      => $apt->Hijri($date)."<br>",
			          'عنوان النص'  => $apt->format_data_out($title)."<br>",
		              ''            => $apt->rafia_code_print($post)
      		        );
                
     $url = $apt->getsettings('siteURL')."/forum.php?action=view&id=".$apt->get[id];
     $pr = new printer($url,$prarr);
     print $pr->output_printer();
}
else if( $apt->get['action'] == "alert" )
{
    $apt->head(LANG_TITLE_REPORTED_SUCCESSFULLY);
    $mail = new email;
    if(!$apt->checkgroup('allow_download_alert'))
    {
        $apt->windowmsg("لايسمح لك بتبليغ عن الروابط المعطلة");
        exit;
    }

    $url       = $apt->getsettings("siteURL")."/download.php?action=view&id=".$apt->setid('id');

    $replace   =  array( "{title}"     => LANG_TITLE_DOWNLOADING_SECTION,
                         "{sitetitle}" => $apt->getsettings("sitetitle"),
                         "{url}"       => $url);

    $message = $apt->getmessage('msg_alertlink',$apt->conf->info['html_msg'],$replace);

    $mail->send($apt->getsettings("sitemail"),$apt->getsettings("subject_alertlink"),$message,$apt->sitetitle,$apt->sitemail,$apt->conf->info['html_msg']);

    $apt->windowmsg(LANG_MSG_THANKS_LINK_REPORTED);

}
else if( $apt->get['action'] == "alertl" )
{
    $apt->head(LANG_TITLE_REPORTED_SUCCESSFULLY);
    
    $mail = new email;
    
    if(!$apt->checkgroup('allow_link_alert'))
    {
        $apt->windowmsg("لايسمح لك بتبليغ عن الروابط المعطلة");
         exit;
    }

    $url       = $apt->getsettings("siteURL")."/link.php?action=edit&id=".$apt->setid('id');
    
    $replace   =  array( "{title}"     => LANG_TITLE_LINKS,
                         "{sitetitle}" => $apt->getsettings("sitetitle"),
                         "{url}"       => $url);

     $message = $apt->getmessage('msg_alertlink',$apt->conf->info['html_msg'],$replace);

    $mail->send($apt->getsettings("sitemail"),$apt->getsettings("subject_alertlink"),$message,$apt->sitetitle,$apt->sitemail,$apt->conf->info['html_msg']);

     $apt->windowmsg(LANG_MSG_THANKS_LINK_REPORTED);

}
else if($apt->get['action']=="rated")
{
    $apt->head(LANG_TITLE_RATE);
    
    if(!$apt->checkgroup('allow_download_rate'))
    {
        $apt->windowmsg("لايسمح لك بتقييم المشاركة");
        exit;
    }
	$id = $apt->setid('id');
    $row = $apt->dbfetch("SELECT * FROM rafia_download WHERE id='$id'");
    @extract($row);
            $apt->windowmsg( "<br>
			<form name=rateit method=post action=$PHP_SELF?action=add_ratingd&id=$id>
                <select name=rating>
     	            <option value=5>رائع</option>
					<option value=4>ممتاز</option>
					<option value=3>متوسط</option>
					<option value=2>جيد</option>
					<option value=1>مقبول</option>
			   </select>
			<input type=submit name=submit value=موافق></form><br>");

}
else if($apt->get['action']=="add_ratingd")
{
    $apt->head(LANG_MSG_THANK_YOU);
    if(!$apt->checkgroup('allow_download_rate'))
    {
        $apt->windowmsg("لايسمح لك بتقييم المشاركة");
        exit;
    }
    $id = $apt->setid('id');
    $row = $apt->dbfetch("SELECT * FROM rafia_download WHERE id='$id'");
    extract($row);
			if($rating_total==""){$rating_total=0;}
			$rating_total=$rating_total + $apt->post[rating];
            if($ratings==""){$ratings=0;}
            $ratings=$ratings + 1;
            $result=$apt->query("update rafia_download set rating_total='$rating_total',ratings='$ratings' where id=$id");
		    $apt->windowmsg(LANG_MSG_THANK_YOU);
}
else if($apt->get['action']=="ratek")
{
    $apt->head(LANG_TITLE_RATE);
    if(!$apt->checkgroup('allow_link_rate'))
    {
        $apt->windowmsg("لايسمح لك بتقييم المشاركة");
        exit;
    }
            $id = $apt->setid('id');
            $row = $apt->dbfetch("SELECT * FROM rafia_links WHERE id='$id'");
                                     
            @extract($row);
			$apt->windowmsg( "<br><form name=rateit method=post action=$PHP_SELF?action=add_ratingk&id=$id>
                <select name=rating>
     	            <option value=5>رائع</option>
					<option value=4>ممتاز</option>
					<option value=3>متوسط</option>
					<option value=2>جيد</option>
					<option value=1>مقبول</option>
			   </select>
			<input type=submit name=submit value=موافق></form><br>");

}
else if($apt->get['action']=="add_ratingk")
{
    $apt->head (LANG_MSG_THANK_YOU);
    if(!$apt->checkgroup('allow_link_rate'))
    {
        $apt->windowmsg("لايسمح لك بتقييم المشاركة");
        exit;
    }
    $id = $apt->setid('id');
    $row = $apt->dbfetch("SELECT * FROM rafia_links WHERE id='$id'");
    @extract($row);
    if($rating_total==""){$rating_total=0;}
    $rating_total=$rating_total + $apt->post[rating];
    if($ratings==""){$ratings=0;}
    $ratings=$ratings + 1;
    $result=$apt->query("update rafia_links set rating_total='$rating_total',ratings='$ratings' where id=$id");
    $apt->windowmsg(LANG_MSG_THANK_YOU);
}
else if($apt->get['action']=="activate")
{
    $apt->head("تذكير");

    $apt->windowmsg("<b>يتم إعادة ارسال رسالة تفعيل الاشتراك على البريد الذي تم التسجيل به.</b>
                     <b><br>  سوف نقوم بإرسال رسالة بريدية تحتوي على بيانات التسجيل الخاصة بك  .
                      <table border='0' width='100%' cellspacing='2' cellpadding='0'>
                      <form action='$PHP_SELF?action=doactivate' method='post'>
                      <tr><td>اسم المستخدم :<br><input type='text' name='getname' size='30'></td></tr>
                      <tr><td><input type='submit' name='doactivate' value='أرسل '></td></tr>
                      </form></table>");
}
else if($apt->get['action']=="doactivate")
{
    $apt->head("تذكير");

    if ($apt->check_name($apt->post[getname]))
    {
         $apt->windowmsg(LANG_ERROR_USERNAME_MUST_BE);
         exit;
    }

    $getname  = $apt->format_data($apt->post[getname]);

    $result1=$apt->query("select userid,email,username,allowpost from rafia_users where username='$getname' and useradmin='0'");

    if ($apt->dbnumrows($result1) > 0)
    {
        $newactivate = $apt->makeactivate();

          $row = $apt->dbarray($result1);
          if($row[allowpost] == 'yes')
          {
              $apt->windowmsg("حالة العضوية تعمل بشكل سليم ربما قد نسيت كلمة المرور");
              exit;
          }elseif($row[allowpost] == 'swt')
          {
              $apt->windowmsg("يجب الانتظار حتى يتم تفعيل عضويتك من قبل الادارة");
              exit;
          }
        $result = $apt->query("update rafia_users set activate='$newactivate' where email='$row[email]' and username='$getname'");

        if($result)
        {
            $html_msg = $row[html_msg];
           $url       = $apt->getsettings("siteURL")."/members.php?action=activate&allowid=$newactivate";
           $sitetitle = $apt->getsettings("sitetitle");
           $sitemail  = $apt->getsettings("sitemail");
           eval("\$subject = \" " . $apt->getsettings("subject_activate") . "\";");

           $replace   =  array(  "{username}"  => $apt->post['username'] ,
                                 "{sitetitle}" => $sitetitle,
                                 "{url}"       => $url,
                                 "{sitemail}"  => $delaleurl);
           $mail = new email;
           $message = $apt->getmessage('msg_activate',0,$replace);
           $mail->send($row[email],
           $subject,
           $message,
           $sitetitle,
           $sitemail,
           0);
           
            $apt->windowmsg("تم الإرسال <br> تم إرسال بيانات التسجيل إلى  ".$row[email].".");
        }
    }
    else
    {
        $apt->windowmsg("لايوجد مستخدم بهذا الاسم");
    }
}
else if($apt->get['action']=="remind")
{

    $apt->head("تذكير");
    
    $apt->windowmsg("<p>سوف نقوم بإرسال رسالة بريدية تحتوي على بيانات التسجيل الخاصة بك  .</p>
                      <table border='0' width='100%' cellspacing='2' cellpadding='0'>
                      <form action='$PHP_SELF?action=doremind' method='post'>
                      <tr><td>بريدك الالكتروني :<br><input type='text' name='getemail' size='30'></td></tr>
                      <tr><td><input type='submit' name='submit' value='أرسل '></td></tr>
                      </form></table>");

}
else if($apt->get['action']=="doremind")
{
    $apt->head("تذكير");
$getemail = $apt->post[getemail];
  if (!$apt->check_email($getemail))
    {
         $apt->windowmsg(LANG_ERROR_VALID_EMIAL);
         exit;
    }
    
    $getemail  = $apt->format_data($getemail);
    
    $result1=$apt->query("select userid,email,username from rafia_users where email='$getemail'");
    
    if ($apt->dbnumrows($result1) > 0)
    {
        $newactivate = $apt->makeactivate();

        //$addpassword = md5($newpassword);
          $row = $apt->dbarray($result1) ;

        $result = $apt->query("update rafia_users set activate='$newactivate' where email='$getemail' and username='$row[username]'");

        if($result)
        {

            $html_msg = $row[html_msg];

            $URL = $apt->getsettings("siteURL")."/members.php?action=lostpass&code=".$newactivate;
             
            $replace   =  array("{sitetitle}"   => $apt->getsettings("sitetitle"),
                                "{username}"    => $row[username],
                                "{newactivate}" => $newactivate,
                                "{email}"       => $row[email],
                                "{userID}"      => $row[userid],
                                "{URL}"         => $URL,
                                "{IPADD}"       => $apt->ip,
                                "{siteURL}"     => $apt->getsettings("siteURL"));
                                 
            $message = $apt->getmessage('msg_remind',$html_msg,$replace);

            $mail = new email;

            $mail->send($row[email],$apt->getsettings("subject_remind"),$message,$apt->getsettings("sitetitle"),$apt->getsettings("sitemail"),$html_msg);

            $apt->windowmsg("تم الإرسال <br> تم إرسال بيانات التسجيل إلى  ".$row[email].".");
        }
    }
    else
    {
        $apt->windowmsg("لايوجد مستخدم يمتلك هذا الايميل");
    }
}
else if($apt->get['action']=="pm")
{
    $apt->ifpm =0;
    $apt->head("تذكير");

    $resultnew = $apt->query("SELECT * FROM rafia_messages WHERE
                 msgbox='1' and userbox='".$apt->cookie['cid']."'
                 and msgisread='1'");
    $pm_num = $apt->dbnumrows($resultnew);
    if ($pm_num == 1)
    {
        $row = $apt->dbarray($resultnew);
        $u           = $apt->getuser($row[ufromid]);
        $fromusername  = $u->username;
        $pm_url ="popup.php?action=viewpm&msgid=$row[msgid]";
        $pm_text ="لديك رسالة خاصة جديدة  <br> مرسلة من : $fromusername";
        $pm_read ="قراءة الرسالة في نفس النافذة ";
    }
    else
    {
         $pm_url ="pm.php";
         $pm_text ="  لديك رسائل جديدة مجموعها : $pm_num رسائل ";
         $pm_read ="التوجة لصندوق الوارد في نفس النافذة ";

    }
$apt->windowmsg( " <script language='javascript'>
<!--
 function read_msg() {
 	window.resizeTo('700','500');
 	document.location.href = '$pm_url';
 }

//-->
</script>
$pm_text
<br><a href='javascript:read_msg();'>$pm_read</a><br>
<a onclick='javascript:fermer();' target=_blank href=$pm_url>التوجة لصندوق الوارد في نافذة جديده</a>");
}
else if($apt->get['action']=="viewpm"){
    $apt->ifpm =0;
    checkcookie();
    $msgid = intval($apt->get[msgid]);
    $result = $apt->query("SELECT * FROM rafia_messages WHERE
    msgid='$msgid' and userbox='".$apt->cookie['cid']."' limit 1");
    $row = $apt->dbarray($result);
    if(empty($row)) $apt->errmsg(LANG_ERROR_PM_URL);
    @extract($row);
     $apt->head(LANG_TITLE_PRIVATE_MESSAGES." -> ".$msgtitle);
     if($msgisread == "1") $apt->query("UPDATE rafia_messages SET msgisread ='2' WHERE msgid='$msgid'");
     $rows           =  $apt->getuser($ufromid);
     $userid   	  =  $ufromid;
     $usertitles    =  explode("-", $apt->userRating($rows->usertitles));
     $usertitle     =  $usertitles[1];
     $userimgtitle  =  $usertitles[0];
     $username =  $apt->format_data_out($rows->username);
     $allpost =  $apt->format_data_out($rows->allposts);
     $homepage =  $apt->addToURL ($rows->homepage);
     $date     =  $apt->Hijri($rows->datetime);
     $message       =  $apt->rafia_code($message);
     $homepage =  $apt->addToURL ($rows->homepage);
     $msgdate       =  $apt->Hijri($msgdate)." ".$apt->gettime($msgdate);
     eval ("\$pm_middle = \" " . $apt->gettemplate ( 'pm_msg_table' ) . "\";");
     $pm_middle = str_replace("<a ","<a onclick='javascript:fermer();' target=_blank ",$pm_middle);
     $apt->windowmsg($pm_middle);
}
echo "<center>[ <a href='javascript:fermer();'>اغلاق النافذة</a> ]</center>" ;
$apt->foot($pageft);
?>